Skip to main content
POST
/
v1
/
enhancer
/
speech_separation
Speech Separation
curl --request POST \
  --url https://apis.finevoice.ai/v1/enhancer/speech_separation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://example.com/mixed_speakers.mp3",
  "speaker_index": 0,
  "output_format": "wav"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer token (API key). Format: Bearer {your_api_key}

Body

application/json

The speech separation request payload.

url
string

Mixed-speech audio URL (http/https).

Example:

"https://example.com/mixed_speakers.mp3"

speaker_index
integer
default:0

Which speaker to return: 0 or 1.

Required range: 0 <= x <= 1
output_format
string
default:wav

Output format: wav, mp3, flac, or m4a.

Response

Separated speaker audio returned.

The response is of type object.